> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quote View

> Get quote view for authenticated users (providers/staff).
Does not update viewed_date as this is for internal viewing.



## OpenAPI

````yaml get /billing/quote/{quote_id}/view
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/quote/{quote_id}/view:
    get:
      tags:
        - provider
        - billing
        - public
      summary: Get Quote View
      description: |-
        Get quote view for authenticated users (providers/staff).
        Does not update viewed_date as this is for internal viewing.
      operationId: get_quote_view_billing_quote__quote_id__view_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: quote_id
          in: path
          required: true
          schema:
            type: string
            title: Quote Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicQuoteView'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PublicQuoteView:
      properties:
        id:
          type: string
          title: Id
          description: Quote ID
        status:
          $ref: '#/components/schemas/QuoteStatus'
          description: Quote status
        title:
          anyOf:
            - type: string
            - type: 'null'
          title: Title
          description: Title of the quote
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the quote
        discountAmount:
          type: integer
          title: Discountamount
          description: Total discount in cents
        taxAmount:
          type: integer
          title: Taxamount
          description: Total tax in cents
        total:
          type: integer
          title: Total
          description: Final total in cents
        terms:
          anyOf:
            - type: string
            - type: 'null'
          title: Terms
          description: Terms and conditions
        validUntilDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Validuntildate
          description: When the quote expires
        items:
          items:
            $ref: '#/components/schemas/QuoteItem'
          type: array
          title: Items
          description: Items and packages in the quote
          default: []
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
          description: Date the quote was created
        viewedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Vieweddate
          description: When the patient first viewed the quote
        respondedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Respondeddate
          description: When the patient responded to the quote
        subtotal:
          type: integer
          title: Subtotal
          description: Calculate subtotal from items after item-level discounts.
          readOnly: true
      type: object
      required:
        - id
        - status
        - discountAmount
        - taxAmount
        - total
        - subtotal
      title: PublicQuoteView
      description: Public view of quote for patients.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    QuoteStatus:
      type: string
      enum:
        - DRAFT
        - SENT
        - VIEWED
        - ACCEPTED
        - DECLINED
        - EXPIRED
        - CONVERTED
      title: QuoteStatus
      description: Status of a quote.
    QuoteItem:
      properties:
        quoteId:
          type: string
          title: Quoteid
          description: ID of the quote
        itemId:
          anyOf:
            - type: string
            - type: 'null'
          title: Itemid
          description: ID of the item (if this is an item)
        packageId:
          anyOf:
            - type: string
            - type: 'null'
          title: Packageid
          description: ID of the package (if this is a package)
        quantity:
          type: number
          title: Quantity
          description: Quantity of the item/package
        unitPrice:
          type: integer
          title: Unitprice
          description: Unit price in cents
        discountAmount:
          type: integer
          title: Discountamount
          description: Discount amount in cents
        discountPercentage:
          type: number
          title: Discountpercentage
          description: Discount percentage
        taxAmount:
          type: integer
          title: Taxamount
          description: Tax amount in cents
        totalPrice:
          type: integer
          title: Totalprice
          description: Total price for this quantity in cents
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Custom description for this item/package
        item:
          anyOf:
            - $ref: '#/components/schemas/ItemTiny'
            - type: 'null'
          description: Item details (if this is an item)
        package:
          anyOf:
            - $ref: '#/components/schemas/PackageTiny'
            - type: 'null'
          description: Package details (if this is a package)
        createdDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Createddate
          description: Date the item was added
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
          description: Date the item was last updated
      type: object
      required:
        - quoteId
        - quantity
        - unitPrice
        - discountAmount
        - discountPercentage
        - taxAmount
        - totalPrice
      title: QuoteItem
      description: >-
        Schema for quote items with full details (handles both items and
        packages).
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ItemTiny:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the item
        name:
          type: string
          title: Name
          description: Name of the item
        brandName:
          anyOf:
            - type: string
            - type: 'null'
          title: Brandname
          description: Optional brand name of the item
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description of the item
        price:
          type: integer
          title: Price
          description: Price of the item in cents
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
          description: Category name (references category.name)
        unit:
          anyOf:
            - $ref: '#/components/schemas/Unit'
            - type: 'null'
          description: Unit of measurement for the item
        isPhysical:
          type: boolean
          title: Isphysical
          description: Whether the item is physical
          default: true
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether the item is archived
          default: false
        internalNotes:
          anyOf:
            - type: string
            - type: 'null'
          title: Internalnotes
          description: Optional internal notes for the item
        taxable:
          type: boolean
          title: Taxable
          description: Whether the item is subject to taxes
          default: false
        sortOrder:
          anyOf:
            - type: integer
            - type: 'null'
          title: Sortorder
          description: Optional sort order for the item
        allowCustomPricing:
          type: boolean
          title: Allowcustompricing
          description: Whether custom pricing is allowed for this item
          default: false
        type:
          $ref: '#/components/schemas/ItemType'
          description: Type of item (PRODUCT, MEDICATION, etc.)
          default: PRODUCT
      type: object
      required:
        - name
        - price
      title: ItemTiny
    PackageTiny:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the package
        name:
          type: string
          title: Name
          description: Name of the package
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Optional description of the package
        isArchived:
          type: boolean
          title: Isarchived
          description: Whether the package is archived
          default: false
        price:
          type: integer
          title: Price
          description: Price of the package in cents
      type: object
      required:
        - name
        - price
      title: PackageTiny
    Unit:
      type: string
      enum:
        - AMPOULES
        - APPLICATORS
        - BOTTLES
        - BOXES
        - CAPSULES
        - CUPS
        - DOSES
        - G_PER_ML
        - GRAMS
        - IU
        - IU_PER_ML
        - OUNCES
        - FLUID_OUNCES
        - KG
        - KITS
        - LITERS
        - MCG
        - MG
        - MG_PER_ML
        - ML
        - MMOL
        - MICROGRAM_PER_ML
        - PACKS
        - PAIRS
        - PATCHES
        - PERCENTAGE
        - PIECES
        - POUCHES
        - ROLLS
        - SACHETS
        - SHEETS
        - SPRAYS
        - STRIPS
        - SYRINGES
        - TABLETS
        - TABLETS_PER_DAY
        - TESTS
        - TUBES
        - UNITS
        - VIALS
        - TREATMENTS
        - SESSIONS
        - PULSES
        - JOULES
        - CENTIMETERS
        - THREAD_COUNT
        - INJECTIONS
        - WRINKLE_UNITS
        - POUNDS
        - FEET
        - INCHES
      title: Unit
    ItemType:
      type: string
      enum:
        - ITEM
        - PRODUCT
        - MEDICATION
        - SERVICE
        - PACKAGE
        - MEMBERSHIP
      title: ItemType

````